Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
matplotlib.pyplot python 2.7 GTK back error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
mrmarcdee
n00b
n00b


Joined: 18 Jan 2010
Posts: 67

PostPosted: Sat Oct 06, 2012 2:55 am    Post subject: matplotlib.pyplot python 2.7 GTK back error Reply with quote

In Python 2.7, I try to import matplotlib.pyplot and get this:
Code:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/matplotlib/pyplot.py", line 95, in <module>
    new_figure_manager, draw_if_interactive, _show = pylab_setup()
  File "/usr/lib64/python2.7/site-packages/matplotlib/backends/__init__.py", line 25, in pylab_setup
    globals(),locals(),[backend_name])
  File "/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk.py", line 11, in <module>
    raise ImportError("Gtk* backend requires pygtk to be installed.")
ImportError: Gtk* backend requires pygtk to be installed.


I tried to re-emerge pygtk. Import matplotlib works fine. Matplotlib is emerged with gtk flag. Import pygtk works fine.

Any ideas?

Thanks,
Marc Dillon
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5414

PostPosted: Sat Oct 06, 2012 4:01 pm    Post subject: Reply with quote

Check the sources.
That check in 1.1.0 covers a bit more: gobject, gtk and pango modules.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum